---
title: React Native Reanimated
link: index
---

# React Native Reanimated

React Native's Animated library reimplemented.

- **Native Performance**: Declare your animations in JS, but have them run on the native thread! 🧙‍♂️
- **Precise Animations**: The API affords new levels of precision and detailed control of your animations. 🕹
- **(mostly) Backwards Compatible**: Use the same Animated API from React Native that you've been using. You generally don't _need_ to change anything to get started. 👍

Reanimated provides a more comprehensive, low level abstraction for the Animated library API, giving you much greater flexibility, control and performance. Combine it with [react-native-gesture-handler](https://github.com/kmagiera/react-native-gesture-handler) for performant gesture-based interactions.

## Want to contribute?

Head over right [there](https://github.com/software-mansion/react-native-reanimated), we are open for your pull requests!

## License

React native reanimated library is licensed under [The MIT License](https://github.com/software-mansion/react-native-reanimated/blob/master/LICENSE).

## Credits

This project is supported by amazing people from [Expo.io](https://expo.io) and [Software Mansion](https://swmansion.com)

[![expo](https://avatars2.githubusercontent.com/u/12504344?v=3&s=100 'Expo.io')](https://expo.io)
[![swm](https://avatars1.githubusercontent.com/u/6952717?v=3&s=100 'Software Mansion')](https://swmansion.com)
